- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::operation::linemerge::LineMergeEdge Class Reference

An edge of a LineMergeGraph. The `marked` field indicates whether this Edge has been logically deleted from the graph. More...

`#include <LineMergeEdge.h>`

Inheritance diagram for geos::operation::linemerge::LineMergeEdge:

List of all members.

## Public Member Functions
| LineMergeEdge (const geom::LineString *newLine)
const geom::LineString * | getLine () const

## Detailed Description

An edge of a LineMergeGraph. The `marked` field indicates whether this Edge has been logically deleted from the graph.

## Constructor & Destructor Documentation

geos::operation::linemerge::LineMergeEdge::LineMergeEdge | ( | const geom::LineString * | newLine | ) |

Constructs a LineMergeEdge with vertices given by the specified LineString.

## Member Function Documentation

const geom::LineString* geos::operation::linemerge::LineMergeEdge::getLine | ( |  | ) | const

Returns the LineString specifying the vertices of this edge.

The documentation for this class was generated from the following file:

- LineMergeEdge.h